Package org.drinkless.tdlib

# Class TdApi.ChatBoostSourceGiveaway

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatBoostSource
org.drinkless.tdlib.TdApi.ChatBoostSourceGiveaway

Enclosing class:
  TdApi

public static class TdApi.ChatBoostSourceGiveaway extends TdApi.ChatBoostSource
The chat created a Telegram Premium giveaway.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.ChatBoostSource

  `TdApi.ChatBoostSource.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `giftCode`
  The created Telegram Premium gift code if it was used by the user or can be claimed by the current user; an empty string otherwise.
  `long`
  `giveawayMessageId`
  Identifier of the corresponding giveaway message; can be an identifier of a deleted message.
  `boolean`
  `isUnclaimed`
  True, if the winner for the corresponding Telegram Premium subscription wasn't chosen, because there were not enough participants.
  `long`
  `userId`
  Identifier of a user that won in the giveaway; 0 if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatBoostSourceGiveaway()`
  The chat created a Telegram Premium giveaway.
  `ChatBoostSourceGiveaway(long userId, String giftCode, long giveawayMessageId, boolean isUnclaimed)`
  The chat created a Telegram Premium giveaway.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Identifier of a user that won in the giveaway; 0 if none.

  - ### giftCode

    public String giftCode
    The created Telegram Premium gift code if it was used by the user or can be claimed by the current user; an empty string otherwise.

  - ### giveawayMessageId

    public long giveawayMessageId
    Identifier of the corresponding giveaway message; can be an identifier of a deleted message.

  - ### isUnclaimed

    public boolean isUnclaimed
    True, if the winner for the corresponding Telegram Premium subscription wasn't chosen, because there were not enough participants.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatBoostSourceGiveaway

    public ChatBoostSourceGiveaway()
    The chat created a Telegram Premium giveaway.

  - ### ChatBoostSourceGiveaway

    public ChatBoostSourceGiveaway(long userId, String giftCode, long giveawayMessageId, boolean isUnclaimed)
    The chat created a Telegram Premium giveaway.
    Parameters:
      `userId` - Identifier of a user that won in the giveaway; 0 if none.
      `giftCode` - The created Telegram Premium gift code if it was used by the user or can be claimed by the current user; an empty string otherwise.
      `giveawayMessageId` - Identifier of the corresponding giveaway message; can be an identifier of a deleted message.
      `isUnclaimed` - True, if the winner for the corresponding Telegram Premium subscription wasn't chosen, because there were not enough participants.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.ChatBoostSource`
    Returns:
      this.CONSTRUCTOR